searchNodes=[{"doc":"Client library for Sanity CMS. See the README for examples.","ref":"Sanity.html","title":"Sanity","type":"module"},{"doc":"Generates a request for the Doc endpoint.The Sanity docs suggest using this endpoint sparingly because it is &quot;less scalable/performant&quot; than using query/3. See get_document/2 and get_documents/2 for a more convenient interface.","ref":"Sanity.html#doc/1","title":"Sanity.doc/1","type":"function"},{"doc":"Convenience function for fetching a single document by ID. See doc/1.See request/2 for supported options.","ref":"Sanity.html#get_document/2","title":"Sanity.get_document/2","type":"function"},{"doc":"Convenience function for fetching a list of documents by ID. See doc/1.The order/position of documents is preserved based on the original list of IDs. If any documents cannot be found then the returned list will contain nil for that document.See request/2 for supported options.","ref":"Sanity.html#get_documents/2","title":"Sanity.get_documents/2","type":"function"},{"doc":"Generates a request for the Mutate endpoint.ExampleSanity.mutate( [ %{ create: %{ _type: &quot;product&quot;, title: &quot;Test product&quot; } } ], return_ids: true ) |&gt; Sanity.request(config)","ref":"Sanity.html#mutate/2","title":"Sanity.mutate/2","type":"function"},{"doc":"Generates a request to the Query endpoint. Requests to this endpoint may be authenticated or unauthenticated. Unauthenticated requests to a dataset with private visibility will succeed but will not return any documents.","ref":"Sanity.html#query/3","title":"Sanity.query/3","type":"function"},{"doc":"Submits a request to the Sanity API. Returns {:ok, response} upon success or {:error, response} if a non-exceptional (4xx) error occurs. A Sanity.Error will be raised if an exceptional error, such as a 5xx response code or a network timeout, occurs.Options:cdn - Should the CDN be used? See the Sanity docs for details. The default value is false.:dataset - Sanity dataset.:http_options - Options to be passed to Finch.request/3. The default value is [].:project_id - Sanity project ID.:token - Sanity auth token.","ref":"Sanity.html#request/2","title":"Sanity.request/2","type":"function"},{"doc":"Like request/2, but raises a Sanity.Error instead of returning and error tuple.See request/2 for supported options.","ref":"Sanity.html#request!/2","title":"Sanity.request!/2","type":"function"},{"doc":"","ref":"Sanity.Request.html","title":"Sanity.Request","type":"module"},{"doc":"","ref":"Sanity.Request.html#t:t/0","title":"Sanity.Request.t/0","type":"type"},{"doc":"","ref":"Sanity.Response.html","title":"Sanity.Response","type":"module"},{"doc":"","ref":"Sanity.Response.html#t:t/0","title":"Sanity.Response.t/0","type":"type"},{"doc":"Error that may occur while making a request to the Sanity API. The source field will be one of the following:%Finch.Response{} - If response with an unsupported HTTP status (like 5xx) is received.%Mint.TransportError{} - If a network error such as a timeout occurred.%Sanity.Response{} - If a 4xx response is received during a call to Sanity.request!/2.","ref":"Sanity.Error.html","title":"Sanity.Error","type":"exception"},{"doc":"SanityA client library for the Sanity CMS API.","ref":"readme.html","title":"Sanity","type":"extras"},{"doc":"The package can be installed by adding sanity to your list of dependencies in mix.exs:def deps do [ {:sanity, &quot;~&gt; 0.3.0&quot;} ] endThe docs can be found at https://hexdocs.pm/sanity.","ref":"readme.html#installation","title":"Sanity - Installation","type":"extras"},{"doc":"Sanity.query(~S&#39;*[_type == &quot;product&quot;]&#39;) |&gt; Sanity.request(project_id: &quot;abcdefgh&quot;, dataset: &quot;production&quot;)","ref":"readme.html#example","title":"Sanity - Example","type":"extras"},{"doc":"[ ] Assets[x] Doc[ ] Export[ ] History[ ] Listen[x] Mutate[ ] Projects[x] Query","ref":"readme.html#supported-endpoints","title":"Sanity - Supported endpoints","type":"extras"}]